Bug 1127150 - IE9: Can't create new SQL data provider
Summary: IE9: Can't create new SQL data provider
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: BAM
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ER3
: 6.1.0
Assignee: Roger Martínez
QA Contact: Gui Jospin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 09:36 UTC by Jan Hrcek
Modified: 2019-02-28 22:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Only in IE9 seems that when using innerHTML method, it evaluates the scripts found in the html code to insert, this behavior not happens in other IE versions (8, 10,11) neither Chrome/Safari. So all the script tags inserted in the ajax refreshed portlet, in IE9, are executed twice: once when using innerHTML (attach the http response to a DOM element) and further when adding the new DOM element into the existing DOM tree (appendChild). Consequence: Both setAjax and refreshPanel javascript functions were called twice, producing some unexpected errors. Fix: Control that both setAjax and refreshPanel javascript functions are only executed once per ajax request. Result: As functions are called just once,no unexpected results appear.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Video showing the problem (3.77 MB, video/webm)
2014-08-06 09:36 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-08-06 09:36:55 UTC
Created attachment 924416 [details]
Video showing the problem

Description of problem:
When I try to create new data provider of type 'SQL Query' in Internet explorer 9, nothing happens when I select the provider type. The form for filling in data provider parameters does not appear, instead the screen just remains in the state where you need to select data provider type (as if I hadn't selected it at all).

Observe the behavior in the video attached: 
in 0:20 I select provider type 'SQL Query' - page is reloaded, but the form for entering provider parameters doesn't appear.
in 0:30 I select provider type 'CSV File' - and that is working correctly


Version-Release number of selected component (if applicable):
BPMS 6.1.0 DR1

How reproducible:
Always with Internet Explorer 9

Steps to Reproduce:
1. Go to Showcase workspace, page Data providers
2. Click 'create new data provider'
3. Select type 'Sql query'

Actual results:
Form for entering data provider parameters is not loaded

Expected results:
Form should be loaded so we can create new data provider

Comment 1 Jan Hrcek 2014-08-06 11:42:23 UTC
Marking as TestBlocker, as quite a few of our test rely on configuring SQL provider and then creating KPIs based on it etc.

Comment 2 Roger Martínez 2014-12-01 20:14:26 UTC
Fixed. Added comments in DOC text.

Comment 3 Roger Martínez 2014-12-01 20:20:26 UTC
Tested in Chrome, Firefox, Safari, IE9, IE10

Comment 5 Jan Hrcek 2014-12-17 08:34:59 UTC
Now it works correctly! Verified with BPM Suite 6.1 ER3 on Internet Explorer 9.


Note You need to log in before you can comment on or make changes to this bug.